Page MenuHomePhabricator

When using historical visual diff beta feature, remember previous choice of visual/wikitext diff for your next diff
Closed, ResolvedPublic1 Story Points

Description

As per T178691, it would be nice if the historical visual diff beta feature remembered the option you chose last time.

Event Timeline

Deskana created this task.Mar 16 2018, 5:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2018, 5:51 PM
Deskana triaged this task as Normal priority.Mar 16 2018, 5:51 PM
Deskana set the point value for this task to 1.
DLynch added a subscriber: DLynch.Mar 21 2018, 4:43 PM

Think it'd make sense for it to use the same preference as the save dialog, or remember it separately?

Whilst historical visual diffs are in beta, I think having it be separate would be better. Historical visual diffs may misbehave, and if they do and someone switches back to wikitext for history then it'd be weird to do the same for them in the editor where they're much more stable.

Once historical visual diffs are out of beta, I think it'd be best for them to have the same preference.

DLynch claimed this task.Mar 21 2018, 5:05 PM
DLynch moved this task from Ready for Pick Up to In progress on the VisualEditor (Current work) board.

It's worth noting that the wikitext diff will be available *instantly* on history pages as it's included in the server response for the page (unless you using RevisionSlider), so at least while in beta (and possibly after) it might also make sense *not* to remember your preference (i.e. show me the wikitext diff instantly, and I'll decide if I want to generate a visual diff after looking at that).

That's a good point -- it's a slightly different decision from the save dialog, where there's a loading delay no matter what...

Change 421220 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] DiffPage: Remember chosen diff mode

https://gerrit.wikimedia.org/r/421220

There's a patch that actually does it, so it can be experienced. In practice it's not too bad, though it's definitely slower.

Some delay is probably fine. This is still in beta, so getting feedback from people on whether they like it or not is good. If people end up really not liking it, then we can revert.

Change 421220 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DiffPage: Remember chosen diff mode

https://gerrit.wikimedia.org/r/421220

Deskana closed this task as Resolved.Apr 9 2018, 12:20 PM

Let's see how this works out. The delay may prove to be too annoying, and which might mean a revert should be done.